Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class WhoisClient

    java.lang.Object
      org.apache.commons.net.SocketClient
          org.apache.commons.net.FingerClient
              org.apache.commons.net.WhoisClient

public final class WhoisClient
extends FingerClient

The WhoisClient class implements the client side of the Internet Whois Protocol defined in RFC 954. To query a host you create a WhoisClient instance, connect to the host, query the host, and finally disconnect from the host. If the whois service you want to query is on a non-standard port, connect to the host at that port. Here's a sample use:

        WhoisClient whois;

        whois = new WhoisClient();

        try {
          whois.connect(WhoisClient.DEFAULT_HOST);
          System.out.println(whois.query("foobar"));
          whois.disconnect();
        } catch(IOException e) {
          System.err.println("Error I/O exception: " + e.getMessage());
          return;
        }

Author:
  Daniel F. Savarese

Field Summary
`static String` | `DEFAULT_HOST` The default whois host to query.
`static int` | `DEFAULT_PORT` The default whois port.

Fields inherited from class org.apache.commons.net.SocketClient
`_defaultPort_, _input_, _isConnected_, _output_, _socket_, _socketFactory_, _timeout_, NETASCII_EOL`

Constructor Summary
`WhoisClient()` The default whois constructor.

Method Summary
`InputStream` | `getInputStream(String handle)` Queries the connected whois server for information regarding the given handle and returns the InputStream of the network connection.
`String` | `query(String handle)` Queries the connected whois server for information regarding the given handle.

Methods inherited from class org.apache.commons.net.FingerClient
`getInputStream, getInputStream, query, query`

Methods inherited from class org.apache.commons.net.SocketClient
`_connectAction_, connect, connect, connect, connect, connect, connect, disconnect, getDefaultPort, getDefaultTimeout, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSoLinger, getSoTimeout, getTcpNoDelay, isConnected, setDefaultPort, setDefaultTimeout, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HOST

    public static final String DEFAULT_HOST

  The default whois host to query. It is set to whois.internic.net.

  See Also:
    Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  The default whois port. It is set to 43 according to RFC 954.

  See Also:
    Constant Field Values

Constructor Detail

### WhoisClient

    public WhoisClient()

  The default whois constructor. Initializes the default port to `DEFAULT_PORT` .

Method Detail

### query

    public String query(String handle)
                 throws IOException

  Queries the connected whois server for information regarding the given handle. It is up to the programmer to be familiar with the handle syntax of the whois server. You must first connect to a whois server before calling this method, and you should disconnect afterward.

  Parameters:
    `handle` - The handle to lookup.
  Returns:
    The result of the whois query.
  Throws:
    `IOException` - If an I/O error occurs during the operation.

### getInputStream

    public InputStream getInputStream(String handle)
                               throws IOException

  Queries the connected whois server for information regarding the given handle and returns the InputStream of the network connection. It is up to the programmer to be familiar with the handle syntax of the whois server. You must first connect to a finger server before calling this method, and you should disconnect after finishing reading the stream.

  Parameters:
    `handle` - The handle to lookup.
  Returns:
    The InputStream of the network connection of the whois query. Can be read to obtain whois results.
  Throws:
    `IOException` - If an I/O error occurs during the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.